List Transactions
curl --request GET \
--url https://tms.universal.rollout.com/api/transactionsimport requests
url = "https://tms.universal.rollout.com/api/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tms.universal.rollout.com/api/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_metadata": {
"collection": "<string>",
"offset": 123,
"limit": 123,
"total": 123,
"next": "<string>",
"nextLink": "<string>"
},
"transactions": [
{
"id": "<string>",
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"userParticipants": [
{
"userId": "<string>",
"roles": [
"<string>"
],
"buySideCommissionAmount": 123,
"sellSideCommissionAmount": 123,
"totalCommissionAmount": 123
}
],
"peopleParticipants": [
{
"personId": "<string>",
"roles": [
"<string>"
]
}
],
"transactionName": "<string>",
"titleCompany": "<string>",
"mortgageCompany": "<string>",
"transactionType": "<string>",
"property": {
"mlsNumber": "<string>",
"price": 123,
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"yearBuilt": 123
},
"closingDate": "<string>",
"escrowClosingDate": "<string>",
"acceptanceDate": "<string>",
"expirationDate": "<string>",
"listingDate": "<string>",
"status": "<string>",
"stage": "<string>",
"sideRepresented": "<string>",
"totalCommissionRate": 123,
"totalCommissionAmount": 123,
"sellSideCommissionRate": 123,
"sellSideCommissionAmount": 123,
"buySideCommissionRate": 123,
"buySideCommissionAmount": 123,
"brokerageCommissionAmount": 123,
"teamCommissionAmount": 123,
"referralRate": 123,
"referralAmount": 123,
"teamSplitPct": 123,
"source": "<string>",
"sourceId": "<string>",
"clientRepAgreementSignedDate": "<string>",
"description": "<string>",
"officeId": "<string>"
}
]
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Transactions
List Transactions
GET /transactions
GET
/
transactions
List Transactions
GET /transactions
Base URL: https://tms.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
next | query | string | No |
offset | query | string(numeric) | number | No |
limit | query | string(numeric) | number | No |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/tms.json GET /transactions⌘I